<!DOCTYPE html>
<html lang="en">

<head>
    <title>Colours Game</title>
    <meta charset="UTF-8">
    <script src="scripts/cheat-code.js"></script>
    <script src="scripts/gameboard.js"></script>
    <script src="scripts/highscore.js"></script>
    <script src="scripts/main.js"></script>
    <link type="text/css" rel="stylesheet" href="styles/mobile.css">
    <link type="text/css" rel="stylesheet" href="styles/webpage.css">
</head>

<body>
    <header>
        <h2>Colours Game</h2>
    </header>
    <section id=gameSetup>
        <h3>Game setup</h3>
        <form id="myForm">
            <fieldset>
                <label for="player-name">Player Name</label>
                <input type="text" name="player-name" id="player-name" pattern="\w{5,30}" required>
            </fieldset>
            <fieldset>
                <label for="size">Game Board Size</label>
                <input type="number" min="3" max="7" name="size" id="size" value="3" required>
            </fieldset>
            <fieldset>
                <label for="colour">Colour</label>
                <select id="colour" >
                    <option label="Red">Red</option>
                    <option label="Green">Green</option>
                    <option label="Blue">Blue</option>
                </select>
            </fieldset>
            <fieldset>
                <label for="difficulty">Difficulty</label>
                <input type="range" name="difficulty" id="difficulty" min="0" max="3" value="0" step="1">
            </fieldset>
        </form>
        <button type="submit" id="setupButton" form="myForm">Start Game!</button>
    </section>
    <main>
        <section id="coloursTable">
        </section>
        <section id="highscore">
            <h3 id="theader">High Scores</h3>
            <table id="score-list-table">
                <thead>
                    <tr>
                        <th class="header">Player Name</th>
                        <th class="header">Score</th>
                    </tr>
                </thead>
                <tbody>

                </tbody>
            </table>
        </section>
    </main>
    <footer>
        <div>Copyright ©️ Nathan & Shakela 2023</div>
    </footer>

    <template id="playingInfo">
        <div id="colourMessage">Searching for <span id="tilesColour">...</span> tiles! Your target is <span id="tilesTotal">...</span> tiles! <span id="tilesSelected">0</span> selected</div>
        <button id="endButton">Submit your guess!</button>
    </template>
</body>
</html>